{% extends 'base_1.html' %}

{% block content %}
<main id="main">
  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="breadcrumb-hero">
      <div class="container">
        <div class="breadcrumb-hero">
          <h2>Trip</h2>
        </div>
      </div>
    </div>
    <div class="container">
      <ol>
        <li><a href="{% url 'home' %}">หน้าหลัก</a></li>
        <li>ทริป</li>
      </ol>
    </div>
  </section>
  
  <!-- End Breadcrumbs -->
  <section id="blog" class="blog">
    <div class="container">
      {% include 'question/active/_header.html' with active='new' %}
      <div class="card">
        <table class="table mb-0">
          <thead>
            <tr>
              <th>Quiz</th>
              <th>Subject</th>
              <th>Length</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            {% for quiz in quizzes %}
            <tr>
              <td class="align-middle">{{ quiz.name }}</td>
              <td class="align-middle">{{ quiz.subject.get_html_badge }}</td>
              <td class="align-middle">{{ quiz.questions_count }} questions</td>
              <td class="text-right">
                <a href="{% url 'active:take_quiz' quiz.pk %}" class="btn btn-primary">Start quiz</a>
              </td>
            </tr>
            {% empty %}
            <tr>
              <td class="bg-light text-center font-italic" colspan="4">No quiz matching your interests right now.</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </section>
</main>
{% endblock %}